package com.sw.patroleditor.domain.dto;

import lombok.Data;

import java.io.Serializable;

/**
 * 巡检策略参数表。
算法信息，包含目标识别算法需要的所有参数。
 * strategy
 */
@Data
public class StrategyDTO {
    /**
     * 编号
     */
    private Integer id;

    /**
     * 巡检目标编号
与巡检点编号对应
     */
    private Long targetId;

    /**
     * 算法种类
     */
    private Integer algorithm;

    /**
     * 量程下限
     */
    private Double rangeMin;

    /**
     * 量程上限
     */
    private Double rangeMax;

    /**
     * 量程范围
     */
    private Double resolution;

    /**
     * 阵列式巡检目标类型矩阵
     */
    private String matrix;

    /**
     * 瞄准图片模板
     */
    private String aimPic;

    /**
     * 抵近图片模板
     */
    private String zoominPic;

    /**
     * 通用参数
     */
    private String param0;

    /**
     * 通用参数：算法标记绘图点坐标
     */
    private String param1;

    /**
     * 通用参数：标记类型刻度范围
     */
    private String param2;

    /**
     * 通用参数
     */
    private String param3;

    /**
     * 通用参数
     */
    private String param4;

    /**
     * 通用参数
     */
    private String param5;

    /**
     * 通用参数
     */
    private String param6;

    /**
     * 通用参数
     */
    private String param7;

    /**
     * 通用参数
     */
    private String param8;

    /**
     * 通用参数
     */
    private String param9;

    /**
     * 通用参数
     */
    private String param10;

    /**
     * 通用参数
     */
    private String param11;

    /**
     * 通用参数
     */
    private String param12;

    /**
     * 通用参数
     */
    private String param13;

    /**
     * 通用参数
     */
    private String param14;

    /**
     * 通用参数
     */
    private String param15;

    /**
     * 通用参数
     */
    private String param16;

    /**
     * 通用参数
     */
    private String param17;

    /**
     * 通用参数
     */
    private String param18;

    /**
     * 通用参数：算法参照值（例：{"0":"开","1":"合","2":"","3":"","4":"","5":"","6":"","7":"","8":""}）
     */
    private String param19;
}