package com.sw.patroleditor.domain.dto;

import lombok.Data;

import java.io.Serializable;

/**
 * 巡检目标信息表
描述信息，巡检目标物理信息及描述信息
 * target
 */
@Data
public class TargetDTO implements Serializable {
    /**
     * 编号
     */
    private Long id;

    /**
     * 停靠点编号与停靠点编号对应
     */
    private Integer pointId;

    /**
     * 巡检目标名称
     */
    private String name;

    /**
     * 数据单位
     */
    private String unit;

    /**
     * 通用描述信息:区域管理 lv1 id(供电公司id)
     */
    private Integer info0;

    /**
     * 通用描述信息:区域管理 lv2 id（变电站id）
     */
    private Integer info1;

    /**
     * 通用描述信息:区域管理 lv3 id（间隔/机柜id）
     */
    private Integer info2;

    /**
     * 通用描述信息:区域管理 lv4 id（小类设备id）
     */
    private Integer info3;

    /**
     * 通用描述信息
     */
    private Integer info4;

    /**
     * 通用描述信息
     */
    private Integer info5;

    /**
     * 通用描述信息
     */
    private Integer info6;

    /**
     * 通用描述信息
     */
    private Integer info7;

    /**
     * 通用描述信息
     */
    private Integer info8;

    /**
     * 通用描述信息：算法类型 大类编码（1：图像识别 2：红外检测 3：局放检测 4：环境检测 5：声音检测）
     */
    private Integer info9;

    /**
     * 通用描述信息
     */
    private Integer info10;

    /**
     * 通用描述信息
     */
    private Integer info11;

    /**
     * 通用描述信息
     */
    private Integer info12;

    /**
     * 通用描述信息
     */
    private Integer info13;

    /**
     * 通用描述信息
     */
    private Integer info14;

    /**
     * 通用描述信息
     */
    private Integer info15;

    /**
     * 通用描述信息
     */
    private Integer info16;

    /**
     * 通用描述信息
     */
    private Integer info17;

    /**
     * 通用描述信息
     */
    private Integer info18;

    /**
     * 通用描述信息
     */
    private Integer info19;
}