package com.sw.patroleditor.controller;

import com.sw.patroleditor.common.ResultData;
import com.sw.patroleditor.service.LocationService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * Created by shiwn on 2024/7/26 15:07
 */
@Api(tags = {"标点接口"})
@RestController

@RequestMapping("location")
public class LocationController {
    @Resource
    private LocationService locationService;

    @ApiOperation(value = "保存点位")
    @PostMapping("/save")
    public ResultData save() {
        return ResultData.success(locationService.save());
    }
}
