package com.sw.patroleditor.domain.dto;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

/**
 * Created by shiwn on 2024/7/30 10:53
 */
@Data
@TableName("zoomin")
public class ZoominDTO {
    private Long id;
    /**
     * 云台滚转角
     */
    private Integer roll;
    /**
     * 云台俯仰角
     */
    private Integer pitch;
    /**
     * 云台方位角
     */
    private Integer yaw;
    /**
     * 云台焦距
     */
    private Integer focus;
    /**
     * 云台放大倍数
     */
    private Integer ratio;
    /**
     * 云台光圈大小
     */
    private Integer aperture;

    /**
     * 目标框选左上角X坐标
     */
    private Integer topleftX;
    /**
     * 目标框选左上角Y坐标
     */
    private Integer topleftY;
    /**
     * 目标框选右下角X坐标
     */
    private Integer botrightX;
    /**
     * 目标框选右下角Y坐标
     */
    private Integer botrightY;
}
